Bug 1121403 - update package to a newer upstream release
Summary: update package to a newer upstream release
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: quake3
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 13:10 UTC by Jeff Layton
Modified: 2015-12-04 09:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 09:25:46 UTC


Attachments (Terms of Use)

Description Jeff Layton 2014-07-20 13:10:42 UTC
The quake3 package hasn't had an update from upstream since 2011. It's currently broken on f20 (see bug 1018398). Could we get an update to a newer release?

I'm willing to do the updating, if you can grant me commit access to the package.
I've built an "alpha" package here:

    http://koji.fedoraproject.org/koji/taskinfo?taskID=7169279

...but I think it needs a little work. One problem is that there are two renderers now built with ioquake3 that are built as shared libs. We need to decide a place to put those so that all the games can find them. This may require pushing a patch upstream to the ioquake3 project.

Comment 1 Knut J BJuland 2014-11-19 11:56:17 UTC
I can help by debugging the new package.

Comment 2 Jaroslav Reznik 2015-03-03 16:08:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Knut J BJuland 2015-09-08 12:52:42 UTC
resolved

Comment 4 Knut J BJuland 2015-11-27 16:28:40 UTC
Please close this bug as it is resolved.

Comment 5 Hans de Goede 2015-12-04 09:25:46 UTC
Hi,

So the problem with building with -fstack-protector=all which caused ioquake3 to fail has been fixed,
which is what this bug seems to be really about so I'm closing it.

As for upgrading to a newer upstream release. There is no such thing as upstream is not actually doing releases AFAICT, I've filed a bug with upstream asking them to at least do git-tags which downstream distributors can then use as officially blessed moments in ioquake3's development when it is good to build binaries, see:

https://github.com/ioquake/ioq3/issues/164

Regards,

Hans


Note You need to log in before you can comment on or make changes to this bug.